<kzm-auth-block>
  <small class="form-text sub-title">Introduce tu correo para iniciar la recuperaci&oacute;n la contrase&ntilde;a.</small>
  <form (ngSubmit)="requestPass()" #requestPassForm="ngForm">
    <div *ngIf="showMessages.error && errors && errors.length > 0 && !submitted" class="alert alert-danger" role="alert">
      <div><strong>Error</strong></div>
      <div *ngFor="let error of errors">{{ error }}</div>
    </div>
    <div *ngIf="showMessages.success && messages && messages.length > 0 && !submitted" class="alert alert-success" role="alert">
      <div><strong>Correcto</strong></div>
      <div *ngFor="let message of messages">{{ message }}</div>
    </div>
    <div class="form-group">
      <label for="input-email" class="sr-only">Correo</label>
      <input name="email" [(ngModel)]="user.email" id="input-email" #email="ngModel"
             class="form-control" placeholder="Email address" pattern=".+@.+\..+"
             [class.form-control-danger]="email.invalid && email.touched"
             [required]="getConfigValue('forms.validation.email.required')" autofocus>
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.required">
        Es requerido.
      </small>
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.pattern">
        Debe ser un correo v&aacute;lido.
      </small>
    </div>
    <button [disabled]="submitted || !requestPassForm.form.valid" class="btn btn-hero-success btn-block" [class.btn-pulse]="submitted">
      Enviar
    </button>
  </form>
  <div class="links col-sm-12">
    <small class="form-text">
      &iquest;Ya tienes cuenta? <a routerLink="../login"><strong>Entrar</strong></a>
    </small>
    <small class="form-text">
      <a routerLink="../register"><strong>Registrar</strong></a>
    </small>
  </div>
</kzm-auth-block>
